apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: metrics-server
spec:
  destination:
    name: ''
    namespace: metrics-server
    server: 'https://kubernetes.default.svc'
  source:
    path: ''
    repoURL: 'https://charts.bitnami.com/bitnami'
    targetRevision: 7.2.14
    chart: metrics-server
    helm:
      values: |
        apiService:
          create: true
        extraArgs:
          - --kubelet-preferred-address-types=InternalIP
          - --kubelet-insecure-tls=true
          - --cert-dir=/tmp
        image:
          registry: registry.k8s.io
          repository: metrics-server/metrics-server
          tag: v0.7.2
        command:
          - /metrics-server
  project: default
  syncPolicy:
    syncOptions:
      - CreateNamespace=true 
      - ServerSideApply=true
    automated: 
      prune: true 
      selfHeal: true
      allowEmpty: false
    retry:
      limit: 5 
      backoff:
        duration: 5s 
        factor: 2 
        maxDuration: 3m 